## python-ldappool 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pyldap>=2.4.20 # PSF

## python-ldappool 1.0

=== debian/changelog ===
python-ldappool (1.0-1ubuntu1) utopic; urgency=medium

  * debian/rules: Ftbfs if tests fail. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Sep 2014 10:27:01 -0400

python-ldappool (1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #752753)

 -- Thomas Goirand <zigo@debian.org>  Thu, 26 Jun 2014 16:10:51 +0800

=== debian/control ===
Source: python-ldappool
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le Bouder <goneri@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3~),
               python-ldap,
               python-nose,
               python-setuptools,
#               python3-all,
#               python3-setuptools
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/python-ldappool.git
Vcs-Git: git://anonscm.debian.org/openstack/python-ldappool.git
Homepage: https://github.com/mozilla-services/ldappool

Package: python-ldappool
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: python-ldap, ${misc:Depends}, ${python:Depends}
Description: connection pool for python-ldap
 A simple connector pool for python-ldap. The pool keeps LDAP connectors alive
 and let you reuse them, drastically reducing the time spent to initiate a ldap
 connection.
 .
 The pool has useful features like:
  * transparent reconnection on failures or server restarts
  * configurable pool size and connectors timeouts
  * configurable max lifetime for connectors
  * a context manager to simplify acquiring and releasing a connector

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

UPSTREAM_GIT = git://github.com/mozilla-services/ldappool.git
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ldappool; \
	done
#	set -e && for pyvers in $(PYTHON3S); do \
#		python$$pyvers setup.py install --install-layout=deb \
#			--root $(CURDIR)/debian/python3-ldappool; \
#	done

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	set -ex && for pyvers in $(PYTHONS) ; do \
		PYTHON=python$$pyvers nosetests ; \
	done
#	set -ex && for pyvers in $(PYTHON3S) ; do \
#		PYTHON=python$$pyvers nosetests3 ; \
#	done
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-ldappool 2.0.0

=== debian/changelog ===
python-ldappool (2.0.0-2+9~bpo8+1) UNRELEASED; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 24 Nov 2016 16:21:42 +0000

python-ldappool (2.0.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).
  * d/rules: Changed UPSTREAM_GIT protocol to https

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed upstream git URL.
  * Fixed (build-)depends for this release.
  * Added Python 3 support.
  * Using modernities from openstack-pkg-tools.
  * Removed non-active uploaders.
  * Now uses python-pyldap as (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jul 2016 17:22:01 +0200

=== debian/control ===
Source: python-ldappool
Section: python
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               openstack-pkg-tools (>= 52~),
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
Build-Depends-Indep: python-coverage,
                     python-fixtures (>= 1.3.1),
                     python-hacking,
                     python-pyldap,
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python3-fixtures (>= 1.3.1),
                     python3-pyldap,
                     python3-subunit,
                     python3-testresources,
                     python3-testtools (>= 1.4.0),
                     subunit,
                     testrepository,
Standards-Version: 3.9.5
Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-python-ldappool?h=debian%2Fnewton
Vcs-Git: https://git.openstack.org/openstack/deb-python-ldappool -b debian/newton
Homepage: https://github.com/mozilla-services/ldappool

Package: python-ldappool
Architecture: all
Depends: python-pyldap,
         ${misc:Depends},
         ${python:Depends},
Description: connection pool for python-ldap - Python 2.7
 A simple connector pool for python-ldap. The pool keeps LDAP connectors alive
 and let you reuse them, drastically reducing the time spent to initiate a ldap
 connection.
 .
 The pool has useful features like:
  * transparent reconnection on failures or server restarts
  * configurable pool size and connectors timeouts
  * configurable max lifetime for connectors
  * a context manager to simplify acquiring and releasing a connector
 .
 This package provides the Python 2.7 module.

Package: python3-ldappool
Architecture: all
Depends: python3-pyldap,
         ${misc:Depends},
         ${python3:Depends},
Description: connection pool for python-ldap - Python 3.x
 A simple connector pool for python-ldap. The pool keeps LDAP connectors alive
 and let you reuse them, drastically reducing the time spent to initiate a ldap
 connection.
 .
 The pool has useful features like:
  * transparent reconnection on failures or server restarts
  * configurable pool size and connectors timeouts
  * configurable max lifetime for connectors
  * a context manager to simplify acquiring and releasing a connector
 .
 This package provides the Python 3.x module.

## python-ldappool 2.2.0

=== debian/changelog ===
python-ldappool (2.2.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * New upstream release.
  * Ran wrap-and-sort -bast.
  * VCS URLs now point to salsa.
  * Upstream Homepage and debian/rules VCS URL now point to git.openstack.org.
  * https for debian/copyright format URL.
  * Updating maintainer field.
  * Standards-Version is now 4.1.3.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 03 Mar 2018 18:12:01 +0100

=== debian/control ===
Source: python-ldappool
Section: python
Priority: optional
Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 openstack-pkg-tools,
 python-all,
 python-setuptools,
 python-sphinx (>= 1.6.2),
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python-coverage,
 python-fixtures,
 python-hacking,
 python-ldap (>= 3.0.0~b4),
 python-testresources,
 python-testtools (>= 1.4.0),
 python3-fixtures,
 python3-ldap (>= 3.0.0~b4),
 python3-subunit,
 python3-testresources,
 python3-testtools (>= 1.4.0),
 subunit,
 testrepository,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python-ldappool
Vcs-Git: https://salsa.debian.org/openstack-team/python-ldappool
Homepage: https://git.openstack.org/cgit/openstack/ldappool

Package: python-ldappool
Architecture: all
Depends:
 python-ldap (>= 3.0.0~b4),
 ${misc:Depends},
 ${python:Depends},
Description: connection pool for python-ldap - Python 2.7
 A simple connector pool for python-ldap. The pool keeps LDAP connectors alive
 and let you reuse them, drastically reducing the time spent to initiate a ldap
 connection.
 .
 The pool has useful features like:
  * transparent reconnection on failures or server restarts
  * configurable pool size and connectors timeouts
  * configurable max lifetime for connectors
  * a context manager to simplify acquiring and releasing a connector
 .
 This package provides the Python 2.7 module.

Package: python3-ldappool
Architecture: all
Depends:
 python3-ldap (>= 3.0.0~b4),
 ${misc:Depends},
 ${python3:Depends},
Description: connection pool for python-ldap - Python 3.x
 A simple connector pool for python-ldap. The pool keeps LDAP connectors alive
 and let you reuse them, drastically reducing the time spent to initiate a ldap
 connection.
 .
 The pool has useful features like:
  * transparent reconnection on failures or server restarts
  * configurable pool size and connectors timeouts
  * configurable max lifetime for connectors
  * a context manager to simplify acquiring and releasing a connector
 .
 This package provides the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://git.openstack.org/openstack/ldappool
-include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_install:
	pkgos-dh_auto_install

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

## python-ldappool 2.3.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
python-ldap>=3.0.0 # PSF

=== debian/changelog ===
python-ldappool (2.3.1-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:49:11 +0100

python-ldappool (2.3.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release, fixing Python 3.x issues.
  * Switch to python3-stestr, just like upstream did.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Mar 2019 12:12:42 +0100

python-ldappool (2.2.0-3) unstable; urgency=medium

  * Add six runtime depends (Closes: #896211).
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 21 Apr 2018 14:20:23 +0000

python-ldappool (2.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*

  [ Thomas Goirand ]
  * Add missing dh-python build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 02 Apr 2018 19:54:28 +0200

=== debian/control ===
Source: python-ldappool
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 75~),
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-ldap (>= 3.0.0~b4),
 python3-stestr,
 python3-subunit,
 python3-testresources,
 python3-testtools (>= 1.4.0),
 subunit,
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-ldappool
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-ldappool.git
Homepage: https://git.openstack.org/cgit/openstack/ldappool

Package: python3-ldappool
Architecture: all
Depends:
 python3-ldap (>= 3.0.0~b4),
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: connection pool for python-ldap - Python 3.x
 A simple connector pool for python-ldap. The pool keeps LDAP connectors alive
 and let you reuse them, drastically reducing the time spent to initiate a ldap
 connection.
 .
 The pool has useful features like:
  * transparent reconnection on failures or server restarts
  * configurable pool size and connectors timeouts
  * configurable max lifetime for connectors
  * a context manager to simplify acquiring and releasing a connector
 .
 This package provides the Python 3.x module.

## python-ldappool 2.4.1

=== requirements.txt ===
--- 
+++ 
@@ -2,3 +2,4 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 python-ldap>=3.0.0 # PSF
+PrettyTable<0.8,>=0.7.2

=== debian/changelog ===
python-ldappool (2.4.1-0ubuntu3) focal; urgency=medium

  * d/rules: Use pybuild instead of python-distutils, fixing FTBFS.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 01 Mar 2020 15:28:28 -0500

python-ldappool (2.4.1-0ubuntu2) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 06 Sep 2019 13:54:00 -0700

python-ldappool (2.4.1-0ubuntu1) disco; urgency=medium

  * New upstream point release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 14:29:56 +0000

python-ldappool (2.4.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 13:28:05 -0500

python-ldappool (2.2.0-3ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/watch: Get tarball from tarballs.openstack.org.
    - d/control, d/rules: Retain python2 support, including python-ldap binary
      package. Also update Vcs-Browser/Vcs-Git to point at lp:~ubuntu-server-dev.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 May 2018 10:48:57 -0400

python-ldappool (2.2.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Bump debhelper compat to 10.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 13:16:32 -0500

python-ldappool (2.1.0-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release.
  * d/control: Udpate to new upstream homepage.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Update Standards-Version to 4.1.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 08 Dec 2017 13:28:13 -0500

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://git.openstack.org/openstack/ldappool
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build

override_dh_auto_build:
	echo "Do not build..."

override_dh_auto_test:
	echo "Do not test here..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/ldappool/ ldappool-(\d.*)\.tar\.gz

## python-ldappool 3.0.0

=== requirements.txt ===
python-ldap>=3.0.0 # PSF
PrettyTable>=0.7.2

=== debian/changelog ===
python-ldappool (3.0.0-5) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090525).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 10:17:25 +0100

python-ldappool (3.0.0-4) unstable; urgency=medium

  * Add python3-six as build-depends (Closes: #1073361).

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Jul 2024 04:04:47 +0200

python-ldappool (3.0.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1047091).

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Aug 2023 09:47:32 +0200

python-ldappool (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 13:10:58 +0200

python-ldappool (3.0.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.
  * Add python3-prettytable to (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 25 Aug 2021 09:41:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools (>= 75~),
  python3-all,
@@ -16,6 +16,8 @@
  python3-fixtures,
  python3-hacking,
  python3-ldap (>= 3.0.0~b4),
+ python3-prettytable,
+ python3-six,
  python3-stestr,
  python3-subunit,
  python3-testresources,
@@ -30,6 +32,7 @@
 Architecture: all
 Depends:
  python3-ldap (>= 3.0.0~b4),
+ python3-prettytable,
  python3-six,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://git.openstack.org/openstack/ldappool
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3

override_dh_clean:
	dh_clean
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do not build..."

override_dh_auto_test:
	echo "Do not test here..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

=== debian/watch ===
version=3
http://pypi.python.org/packages/source/l/ldappool ldappool-(.*).tar.gz
